/*
        Resource.h 1.2 for X11R6 & GNU C Compiler

        Copyright (C) 1998, 1999 Syllabub
        Maroontress Fast Software.
*/

typedef struct {
    char *name;
    char *class;
    char *orig;
    char *spec;
} SylSetting;

typedef struct SylKeymap {
    unsigned int mod;
    unsigned int func;
    struct SylKeymap *next;
} SylKeymap;

typedef struct {
    XFontSet id;
    int width;
    int height;
    int ascent;
    int descent;
    int tabsep;
} SylFontSet;

XrmDatabase SylMergedResourceDatabase(Display *);
void GetSylSetting(Display *, char *, char *, SylSetting *);

/*XXX*/ int FQLength(char *, char *c);
/*XXX*/ void FQCompose(char *, char *, char *);
/*XXX*/ void SetFQClassHint(Display *, Window, char *, char *, Window);

void LoadSylColorset(Display *, char *, char *, SylSetting **,
		     unsigned long *);
void LoadSylFontset(Display *, char *, char *, SylSetting **, SylFontSet *);
void LoadSylIMStyleset(Display *, char *, char *, SylSetting **, XIMStyle *);
void LoadSylKeybinding(Display *, char *, char *, SylSetting **, SylKeymap **);
SylKeymap ** CreateSylKeymap(void);
void FreeSylKeymap(SylKeymap **);
